Index: python/lib/aubio/slicing.py
===================================================================
--- python/lib/aubio/slicing.py	(revision 143682ba94bf859c8bf730650e52af15addb7d00)
+++ python/lib/aubio/slicing.py	(revision 8b56b1835e9b8f4858547b88c82e2cf2c977ea9f)
@@ -1,14 +1,15 @@
+"""utility routines to slice sound files at given timestamps"""
+
+import os
 from aubio import source, sink
-import os
 
-max_timestamp = 1e120
+_max_timestamp = 1e120
 
-def slice_source_at_stamps(source_file, timestamps, timestamps_end = None,
-        output_dir = None,
-        samplerate = 0,
-        hopsize = 256):
+def slice_source_at_stamps(source_file, timestamps, timestamps_end=None,
+                           output_dir=None, samplerate=0, hopsize=256):
+    """ slice a sound file at given timestamps """
 
-    if timestamps == None or len(timestamps) == 0:
-        raise ValueError ("no timestamps given")
+    if timestamps is None or len(timestamps) == 0:
+        raise ValueError("no timestamps given")
 
     if timestamps[0] != 0:
@@ -19,12 +20,12 @@
     if timestamps_end != None:
         if len(timestamps_end) != len(timestamps):
-            raise ValueError ("len(timestamps_end) != len(timestamps)")
+            raise ValueError("len(timestamps_end) != len(timestamps)")
     else:
-        timestamps_end = [t - 1 for t in timestamps[1:] ] + [ max_timestamp ]
+        timestamps_end = [t - 1 for t in timestamps[1:]] + [_max_timestamp]
 
     regions = list(zip(timestamps, timestamps_end))
     #print regions
 
-    source_base_name, source_ext = os.path.splitext(os.path.basename(source_file))
+    source_base_name, _ = os.path.splitext(os.path.basename(source_file))
     if output_dir != None:
         if not os.path.isdir(output_dir):
@@ -33,10 +34,11 @@
 
     def new_sink_name(source_base_name, timestamp, samplerate):
+        """ create a sink based on a timestamp in samples, converted in seconds """
         timestamp_seconds = timestamp / float(samplerate)
         return source_base_name + "_%011.6f" % timestamp_seconds + '.wav'
 
-    # reopen source file
-    s = source(source_file, samplerate, hopsize)
-    samplerate = s.get_samplerate()
+    # open source file
+    _source = source(source_file, samplerate, hopsize)
+    samplerate = source.get_samplerate()
 
     total_frames = 0
@@ -45,5 +47,5 @@
     while True:
         # get hopsize new samples from source
-        vec, read = s.do_multi()
+        vec, read = _source.do_multi()
         # if the total number of frames read will exceed the next region start
         if len(regions) and total_frames + read >= regions[0][0]:
@@ -54,7 +56,7 @@
             new_sink_path = new_sink_name(source_base_name, start_stamp, samplerate)
             # create its sink
-            g = sink(new_sink_path, samplerate, s.channels)
+            _sink = sink(new_sink_path, samplerate, _source.channels)
             # create a dictionary containing all this
-            new_slice = {'start_stamp': start_stamp, 'end_stamp': end_stamp, 'sink': g}
+            new_slice = {'start_stamp': start_stamp, 'end_stamp': end_stamp, 'sink': _sink}
             # append the dictionary to the current list of slices
             slices.append(new_slice)
@@ -63,5 +65,5 @@
             start_stamp = current_slice['start_stamp']
             end_stamp = current_slice['end_stamp']
-            g = current_slice['sink']
+            _sink = current_slice['sink']
             # sample index to start writing from new source vector
             start = max(start_stamp - total_frames, 0)
@@ -73,11 +75,12 @@
                 if remaining > start:
                     # write remaining samples from current region
-                    g.do_multi(vec[:,start:remaining], remaining - start)
+                    _sink.do_multi(vec[:, start:remaining], remaining - start)
                     #print "closing region", "remaining", remaining
                     # close this file
-                    g.close()
+                    _sink.close()
             elif read > start:
                 # write all the samples
-                g.do_multi(vec[:,start:read], read - start)
+                _sink.do_multi(vec[:, start:read], read - start)
         total_frames += read
-        if read < hopsize: break
+        if read < hopsize:
+            break
